- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | List of all members
G::limits Class Reference

A scoping structure for a set of buffer sizes. More...

`#include <glimits.h>`

## Public Types
enum | { path = 10000 }
enum | { log = 1000 }
enum | { file_buffer = 102400 }
enum | { pipe_buffer = 4096 }
enum | { get_pwnam_r_buffer = 200 }
enum | { net_buffer = 20000 }
enum | { net_line_limit = 1000000 }
enum | { net_hostname = 1024 }
enum | { net_listen_queue = 3 }
enum | { net_certificate_cache_size = 50 }
enum | { win32_subclass_limit = 80 }
enum | { win32_classname_buffer = 256 }
enum | { ssl_max_cache_entries = 10 }

## Detailed Description

A scoping structure for a set of buffer sizes.

Intended to be used to reduce memory requirements in embedded environments.

Definition at line 37 of file glimits.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
path |

Definition at line 42 of file glimits.h.

anonymous enum

Enumerator
log |

Definition at line 43 of file glimits.h.

anonymous enum

Enumerator
win32_subclass_limit |

Definition at line 52 of file glimits.h.

anonymous enum

Enumerator
win32_classname_buffer |

Definition at line 53 of file glimits.h.

anonymous enum

Enumerator
ssl_max_cache_entries |

Definition at line 54 of file glimits.h.

anonymous enum

Enumerator
file_buffer |

Definition at line 44 of file glimits.h.

anonymous enum

Enumerator
pipe_buffer |

Definition at line 45 of file glimits.h.

anonymous enum

Enumerator
get_pwnam_r_buffer |

Definition at line 46 of file glimits.h.

anonymous enum

Enumerator
net_buffer |

Definition at line 47 of file glimits.h.

anonymous enum

Enumerator
net_line_limit |

Definition at line 48 of file glimits.h.

anonymous enum

Enumerator
net_hostname |

Definition at line 49 of file glimits.h.

anonymous enum

Enumerator
net_listen_queue |

Definition at line 50 of file glimits.h.

anonymous enum

Enumerator
net_certificate_cache_size |

Definition at line 51 of file glimits.h.

The documentation for this class was generated from the following file:

- glimits.h